CVE-2018-5388 (retired)

Priority
Description
In stroke_socket.c in strongSwan before 5.6.3, a missing packet length
check could allow a buffer underflow, which may lead to resource exhaustion
and denial of service while reading from the socket.
Notes
 mdeslaur> root needed to access socket, only DoS
Package
Upstream:released (5.6.3)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (5.1.2-0ubuntu2.10)
Ubuntu 16.04 LTS (Xenial Xerus):released (5.3.5-1ubuntu3.7)
Ubuntu 18.04 LTS (Bionic Beaver):released (5.6.2-1ubuntu2.2)
Ubuntu 18.10 (Cosmic Cuttlefish):released (5.6.3-1ubuntu1)
Patches:
Upstream:https://git.strongswan.org/?p=strongswan.git;a=commitdiff;h=0acd1ab4
More Information

Updated: 2019-03-26 12:27:32 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)